slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNSetOptionsPrefix

Sets the prefix used for searching for all FN options in the database.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetOptionsPrefix(FN fn,const char *prefix)

Logically Collective

### Input Parameters

| fn | - the math function context
| prefix | - the prefix string to prepend to all FN option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

FNAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages